Bug 43043 - [Qt] Issue with page display using QtWebKit 2.1
Summary: [Qt] Issue with page display using QtWebKit 2.1
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: S60 Hardware S60 3rd edition
: P2 Critical
Assignee: Jay Tucker
URL:
Keywords: PlatformOnly, Qt
Depends on:
Blocks:
 
Reported: 2010-07-27 06:40 PDT by nokiabugz
Modified: 2010-12-16 09:53 PST (History)
9 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nokiabugz 2010-07-27 06:40:31 PDT
STEPS TO REPRODUCE:
Installed webkit 2.1 on the device.
Launch the browser and load "http://iop1.nokia-boston.com/index.html".
Select the link 'Manual Testing Page' under 'Load Time Performance'.

ACTUAL RESULTS:
The page is loading with a "Black background and the urls are blue in color"

EXPECTED RESULTS:
The page should load with a white background.

Problem occurs on both Nokia browser and QtTestBrowser with WebKit 2.1 branch
Comment 1 Timothy Lu 2010-08-02 11:46:55 PDT
This is critical issue that is blocking Webkit 2.1 testing in Browser.
Comment 2 Simon Hausmann 2010-08-05 08:42:19 PDT
Which Qt version are you using?
Comment 3 Suresh Voruganti 2010-08-12 13:05:16 PDT
I think this issue is solved by getting latest Qt package.
Comment 4 Suresh Voruganti 2010-08-24 09:00:30 PDT
This is not reproducible any more with latest Qt version. so resolving the bug.
Comment 5 Suresh Voruganti 2010-08-27 11:24:43 PDT
I think still issue is seen interminently.

Does any one know which error from Qt has fixed this issue?
Comment 6 Jocelyn Turcotte 2010-08-30 07:22:49 PDT
(In reply to comment #5)

I don't know how Qt handles platform color palettes on Symbian but this feels like bug #22123 to me.

Did you try changing the phone's theme to see if it changes the behavior?
Comment 7 Suresh Voruganti 2010-09-10 12:25:27 PDT
Re opening the issue as it is blocking the testing.
Comment 8 Suresh Voruganti 2010-09-10 12:26:03 PDT
Kennery, can you pls reply to comment 6?
Comment 9 Viatcheslav Ostapenko 2010-09-14 16:25:03 PDT
(In reply to comment #6)
> (In reply to comment #5)
> 
> I don't know how Qt handles platform color palettes on Symbian 

Yes, it's theme issue.
There is workaround for this in QGraphicsWebView based classes:

QPalette pal = palette();
pal.setColor(QPalette::ButtonText, Qt::black);
pal.setColor(QPalette::Base, Qt::white);
setPalette(pal);
page()->setPalette(pal);

This also fixes the problem of white radio/checkbox buttons in case of phone themes with dark background.

> but this feels like bug #22123 to me.

Not exactly. 

> Did you try changing the phone's theme to see if it changes the behavior?

Previously I've tried to figure out, should QGraphicsWebView by default pick up theme colors. Those colors can conflict with web colors used by most web pages. I've got different opinions about this.
Comment 10 Markus Goetz 2010-09-16 05:44:35 PDT
It's a workaround for the nokia browser but no solution.
After a lot of discussion here in Oslo we saw that this needs a deeper fix in QtWebKit. More will follow..
Comment 11 Suresh Voruganti 2010-09-16 10:13:49 PDT
Assigning the error to Jay as he is working on the issue together with others in the code camp
Comment 12 Jay Tucker 2010-09-20 12:26:12 PDT
Worked together with Tor Arne on a patch that provides a principled solution to this issue. Need to finish patch in next day or two.
Comment 13 Suresh Voruganti 2010-10-06 06:40:45 PDT
Removing the blocks 39121 as the fix is not required for Qtwebkit 2.1. Original issue reported by browser team is not reproducible, so removing the 39121
Comment 14 Benjamin Poulain 2010-11-10 05:49:54 PST
(In reply to comment #12)
> Need to finish patch in next day or two.

Any update? Should this task be closed?
Comment 15 Ademar Reis 2010-12-16 09:36:59 PST
(In reply to comment #14)
> (In reply to comment #12)
> > Need to finish patch in next day or two.
> 
> Any update? Should this task be closed?

I'm removing the block for bug 44677, as 2.1 appears to not be affected anymore 
(see comment #13) and nobody appears to be working on it anyway.

Jay: Please close this bug or update its status.
Comment 16 Jay Tucker 2010-12-16 09:53:16 PST
Per the comments above, this issue has been resolved.